package cz.moneta.test.dsl.ufo.banka.pages.common.pages;

import cz.moneta.test.dsl.ufo.banka.loans.flexikredit.OBR001_SpecialConditionsPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.OPN008_S001_SignContractPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.CIF001_S017_ClientSignatureConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.OBR001_S001_AppendixSignedPage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.POD038_OBR001_001_VerificationOfSignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.mutual.funds.INF002_OBR002_001_InvestmentFormSigningPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface TIS004_S002_SignerSelectionPageTransitions extends WebFlow<TIS004_S002_SignerSelectionPageTransitions> {

    INK001_OBR001_004_ConfirmationPage onConfirmationPage();

    OPN008_S001_SignContractPage onSignContractPage();

    TIS027_OBR001_PreContractualInformationPage onPreContractualInformationPage();

    POD038_OBR001_001_VerificationOfSignaturePage onVerificationOfSignaturePage();

    INF002_OBR002_001_InvestmentFormSigningPage onInvestmentFormSigningPage();

    DMS004_OBR001_CouldNotPrintFeeCatalogPage onColdNotPrintFeeCatalogPage();

    CIF001_S017_ClientSignatureConfirmationPage onSignConfirmationPage();

    TIS051_OBR001_ContractDocumentationPage onPrintDocumentationPage();

    OBR001_SpecialConditionsPage onSpecialConditionsPage();

    OBR001_S001_AppendixSignedPage onAppendixSignedPage();

    OBR001_S001_PrintInstructionPage onConfirmSignaturePage();

    PSP004_S001_PrintPage onPrintPage();

}